elixir - 1. 安装

访问量: 208

参考:https://elixir-lang.org/install.html

wget https://packages.erlang-solutions.com/erlang-solutions_1.0_all.deb && sudo dpkg -i erlang-solutions_1.0_all.deb
sudo apt-get update
sudo apt-get install esl-erlang

sudo apt-get install elixir

就可以了。 

erlang 是需要版本20+的。 我们可以通过 $ erl 来测试:

$ erl -h
Erlang/OTP 21 [erts-10.2.3] [source] [64-bit] [smp:4:4] [ds:4:4:10] [async-threads:1] [hipe]

Eshell V10.2.3  (abort with ^G)

然后可以根据这个命令来查看elixir 的版本:

$ elixir --version
Erlang/OTP 21 [erts-10.2.3] [source] [64-bit] [smp:4:4] [ds:4:4:10] [async-threads:1] [hipe]

Elixir 1.8.1 (compiled with Erlang/OTP 20)

订阅/RSS Feed

Subscribe

分类/category